

.game-item-description-body-containter {
    position: absolute;
    width: 100%;
    height: 100%;
    z-index: 999;
    margin: -20px 0px;

    textarea {
        resize: none;

        &:focus {
            outline: none;
        }
    }

    textarea, input {
        color: rgba(0, 0, 0, 0.8);
    }

    textarea {
        font-size: 20px;
    }

    input {
        font-size: 16px;
    }

    button {
      cursor: pointer;
    }

    .game-item-description-container {
        min-height: 635px;
        display: flex;
        flex-direction: column;
        box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.24);
        
        .game-item-description-container-header {
            background-color: #4fc1e9;
            height: 56px;
            margin-left: -1px;
            border-top-left-radius: 4px;
            border-top-right-radius: 4px;
            display: flex;
            width: calc(100% + 2px);
            flex-direction: row;
            justify-content: space-between;


            .game-item-description-short-title {
                display: flex;
                flex-direction: row;
                justify-content: center;
                align-items: center;
                padding-left: 20px;
                width: auto;

                img {
                    width: 48px;
                    height: 48px;
                }
            }
        }

        .game-item-description-container-body {
            background-color: #ececec;
            min-height: 555px;

            .game-item-description-container-general-info {
                min-height: 340px;
                display: flex;

                .game-item-description-container-general-info-body {
                    display: flex;
                    flex-direction: column;

                    .game-item-description-container-general-info-field {
                        display: flex;
                        flex-direction: row;
                        background-color: rgba(216, 216, 216, 1);
                        border-radius: 4px;
                        padding-bottom: 20px;

                        > div:first-child{
                            width: calc(100% - 50px);
                        }

                        > div:last-child {
                            width: 50px;
                        }

                        .game-item-description-container-general-info-field-title {
                            font-size: 13px;
                            color: rgba(0, 0, 0, 0.8);
                            padding: 8px 0px 0px 12px;
                        }

                        .game-item-description-container-general-info-field-input {
                            display: flex;
                            flex-direction: row;   
                            padding: 0px 12px; 
                        }


                        .mdl-textfield {
                            padding: 0px;
                            height: 30px;
                            width: 100%;

                            .mdl-textfield__input {
                                padding: 5px;
                            }
                        }
                    }

                    .title-form-section {
                       // padding-bottom: 35px;

                        input {
                            font-size: 22px;
                        }

                        .mdl-textfield {
                            height: 48px;
                            margin-top: 6px;
                        }
                    }

                    .added-by-form-section {
                        flex: 2;
                        min-width: calc(50% - 50px);

                        > div:last-child  {
                           width: 0px;
                        }

                        .game-item-description-container-general-info-field-input {
                            padding: 10px 5px;

                            span {
                              max-width: calc(50% - 20px);
                              margin: 0px 10px;
                              white-space: nowrap;
                              overflow: hidden;
                              text-overflow: ellipsis; 
                            }
                        }
                    }
                }
            }

            .game-item-description-container-similar-titles {
                min-height: 210px;

                .game-item-description-container-similar-titles-header {
                    height: 32px;
                    width: 100%;
                    border-top-left-radius: 4px;
                    border-top-right-radius: 4px;
                    background-color: #4fc1e9;
                    display: flex;
                    flex-direction: row;
                    align-items: center;
                    box-shadow: 0px 1px 1px 0px rgba(0, 0, 0, 0.24);

                    p {
                       font-size: 12px;
                       padding-left: 20px;
                    }
                }

                .game-item-description-container-similar-titles-body {
                    width: 100%;
                    display: flex;
                    flex-direction: row;
                    flex-wrap: wrap;
                    overflow-y: auto;

                    .game_checkbox_item {
                        width: 88px;
                        height: 128px;
                        border-radius: 4px;
                        cursor: pointer;
                        display: flex;
                        align-items: center;
                        flex-direction: column;
                        margin: 8px 4px;
                        padding-top: 12px;

                        &.selected {
                            background-color: #d8d8d8;
                            box-shadow: 0px 2px 2px 0px rgba(0, 0, 0, 0.24);
                        }

                        > label {
                            display: flex;
                            flex-direction: column;
                            align-items: center;
                         }     

                         .mdl-checkbox  {
                            width: 30px;
                            height: 30px;
                            margin-top: 10px;
                            margin-left: 5px;
                         }


                        .mdl-checkbox__focus-helper {
                            visibility: hidden;
                        }

                        .mdl-checkbox.is-checked {
                            .mdl-checkbox__box-outline {
                                border: 2px solid rgb(70, 77, 87);
                            }
                            .mdl-checkbox__tick-outline {
                                background: rgb(70, 77, 87);
                            }
                        }

                        .game_checkbox_item__image {
                            img {
                                width: 72px;
                                height: 72px;
                                cursor: pointer;
                            }
                        }

                        .game_checkbox_item__name {
                            display: none;
                        }
                    }
                }
            }

        }

        .game-item-description-container-footer {
            background-color: #434a54;
            height: 48px;
            border-bottom-left-radius: 4px;
            border-bottom-right-radius: 4px;
            display: flex;
            flex-direction: row;
            justify-content: flex-end;

            button {
                height: 48px;
                width: 100%;
                max-width: 144px;
                display: flex;
                justify-content: center;
                align-items: center;
                color: white;
                text-transform: uppercase;
                border: none;
                outline: none;
                background: none;
                padding: 0;
                cursor: pointer;
                font-weight: 500;
                font-size: 16px;
            }

            button:nth-child(2) {
                background: rgb(233, 87, 63);
            }

            button:hover {
                text-decoration: underline;
            }

            &.viewing {
                display: flex;
                flex-direction: row;
                justify-content: space-between;

                button {
                   width: 48px;
                   cursor: pointer;
                   
                   span {
                       margin-left: -5px;
                   }
                }

                button:nth-child(2) {
                   background: none;
                }

                button:hover,
                button:active,
                button:focus {
                   background: rgba(255, 255, 255, 0.3);
                }
            }
        }
    }
}

@media all and (min-width: 865px) {
    .game-item-description-container {
        margin: 88px 32px 0px 32px;
        width: calc(100% - 64px);
    }

   .game-item-description-container-general-info {
        flex-direction: row;

        .dropzone-container {
            width: 278px;
            height: 278px;
        }   

        .game-item-description-container-general-info-body {
            width: calc(100% - 350px);
            padding: 18px 0px;

            .game-item-description-container-general-info-field {
                margin: 3px 4px;
            }
        } 
    }
    
    .spetific-info-field {
        display: flex;
        flex-direction: row;
    }

    .date-form-section {
        width: 100%;
    }  

    .game-item-description-container-similar-titles {
         margin: 0px 24px;

        .game-item-description-container-similar-titles-body {
            height: 175px;
        }
    }
}

@media all and (max-width: 864px) {
    .game-item-description-container {
        margin: 88px 0px 0px 32px;
        width: calc(100% - 32px);
    }

    .game-item-description-container-general-info {
        flex-direction: column;
        padding: 0px 12px;

        .dropzone-container {
            width: calc(100% - 12px);
            height: 280px;
            padding: 24px 6px 8px 6px;
           // height: auto;
        }      

        .game-item-description-container-general-info-body {
            width: 100%;
            padding: 6px 0px;

            .game-item-description-container-general-info-field {
                margin: 4px 0px;
            }
        }
    }

    .spetific-info-field {
        display: flex;
        flex-direction: column;
    }

    .date-form-section {
        width: 100%;
    }
    

    .game-item-description-container-similar-titles {
        margin: 0px 12px;

        .game-item-description-container-similar-titles-body {
            height: auto;
        }
    }

    .game-item-description-container-footer:not(.viewing) {
        button {
            width: 50%;
        }
    }
}